:root {
  --v-clr-primary: #b2001e;
  --v-clr-text: #75787c;
  --v-clr-white: #fff;
}

.v-controls {
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5;
  color: var(--v-clr-text);
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  gap: 1rem 2rem;
}

.v-toggle-control {
  margin: 0;
  padding: 0;
  border: 0;
  min-width: 0;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
}

.v-toggle-control .v-legend {
  float: left;
  margin-inline-end: 1rem;
  width: unset;
  padding: unset;
  margin-bottom: unset;
  line-height: unset;
  font-size: 1rem;
}

.v-toggle-control .v-inputs {
  display: flex;
  flex-wrap: wrap;
  gap: 0.5rem;
}

.v-toggle-control .v-input-radio {
  position: absolute;
  clip: rect(0, 0, 0, 0);
  pointer-events: none;
}

.v-toggle-control .v-input-label {
  cursor: pointer;
  user-select: none;
  display: block;
  padding: 0.5rem 1.2rem;
  color: var(--v-clr-text);
  background-color: transparent;
  border: 1px solid var(--v-clr-text);
  transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out,
    border-color 0.15s ease-in-out;
}

.v-toggle-control .v-input-radio:checked + .v-input-label,
.v-toggle-control .v-input-label:hover {
  color: var(--v-clr-white);
  background-color: var(--v-clr-primary);
  border-color: var(--v-clr-primary);
}

@media (max-width: 576px) {
  .v-toggle-control {
    flex-direction: column;
    align-items: flex-start;
  }

  .v-toggle-control .v-legend {
    margin-inline-end: 0;
    margin-block-end: 0.5rem;
  }
}

.v-seal {
  font-weight: 400;
  line-height: 1.5;
  color: var(--v-clr-text);
  display: grid;
  gap: 2rem;
}

.v-seal .v-chart {
  position: relative;
}

.v-seal .v-svg {
  display: block;
  width: 100%;
  height: auto;
}

.v-seal .v-seal-rect {
  fill: var(--v-clr-primary);
}

.v-seal .v-axis-g {
  font-family: inherit;
  font-size: 0.75rem;
  color: var(--v-clr-text);
}

.v-seal .domain-line {
  stroke-width: 2px;
}

.v-seal .v-tooltip {
  position: absolute;
  top: 0;
  left: 0;
  background-color: rgba(255, 255, 255, 0.9);
  border: 1px solid var(--v-clr-text);
  padding: 0.5rem 1.2rem;
  display: flex;
  align-items: center;
  gap: 0.5rem;
  box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.15);
}

.v-seal .v-tooltip-icons {
  display: flex;
  align-items: center;
  gap: 0.5rem;
}
